> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get message time distribution by external ID
> Retrieves statistical time distribution information for a specific sent message.
## OpenAPI
````json POST /message/getTimeDistributionByExternalMessageId
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/message/getTimeDistributionByExternalMessageId": {
"post": {
"tags": [
"Message"
],
"summary": "Get message time distribution by external ID",
"description": "Retrieves statistical time distribution information for a specific sent message.",
"operationId": "getTimeDistributionByExternalMessageId",
"parameters": [
{
"name": "messageId",
"in": "query",
"description": "ID of the message",
"required": true,
"schema": {
"type": "string"
}
},
{
"name": "interval",
"in": "query",
"description": "Interval values: DAILY or HOURLY",
"required": true,
"schema": {
"enum": [
"DAILY",
"HOURLY"
],
"type": "string"
}
}
],
"responses": {
"200": {
"description": "",
"content": {
"application/octet-stream": {
"schema": {
"$ref": "#/components/schemas/MessageTimeDistribution"
}
}
}
},
"400": {
"description": "Missing parameter (messageId/interval) or parameter value, for example:
{
\"errorActor\": \"CLIENT\",
\"errorCode\": \"MISSING_PARAMETER\",
\"message\": \"Parameter 'messageId' is mandatory but no value was specified.\",
\"parameterName\": \"messageId\",
\"propertyName\": null,
\"value\": \"null\"
}{
\"errorActor\": \"CLIENT\",
\"errorCode\": \"NO_SUCH_OBJECT\",
\"message\": \"Message with id=24011454555 does not exist.\",
\"objectType\": \"Message\",
\"propertyName\": \"id\",
\"propertyValue\": \"24011454555\"
}",
"content": {
"application/octet-stream": {}
}
}
}
}
}
},
"components": {
"schemas": {
"MessageTimeDistribution": {
"type": "object",
"properties": {
"messageId": {
"type": "integer",
"format": "int64"
},
"messageName": {
"type": "string"
},
"messageSubject": {
"type": "string"
},
"groupName": {
"type": "string"
},
"sendout": {
"type": "integer",
"format": "int64"
},
"confirmedOpens": {
"type": "integer",
"format": "int64"
},
"confirmedOpeners": {
"type": "integer",
"format": "int64"
},
"totalClicks": {
"type": "integer",
"format": "int64"
},
"clickers": {
"type": "integer",
"format": "int64"
},
"acceptedMessages": {
"type": "integer",
"format": "int64"
},
"messagesOpened": {
"type": "integer",
"format": "int64"
},
"messagesClicked": {
"type": "integer",
"format": "int64"
},
"timeFrameStart": {
"type": "integer",
"format": "int64"
},
"timeFrameEnd": {
"type": "integer",
"format": "int64"
},
"interval": {
"enum": [
"DAILY",
"HOURLY"
],
"type": "string"
},
"periods": {
"type": "array",
"items": {
"$ref": "#/components/schemas/MessageTimeDistributionPeriod"
}
}
}
},
"MessageTimeDistributionPeriod": {
"type": "object",
"properties": {
"messageId": {
"type": "integer",
"format": "int64"
},
"periodStart": {
"type": "integer",
"format": "int64"
},
"periodEnd": {
"type": "integer",
"format": "int64"
},
"statisticValues": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Attribute"
}
}
}
},
"Attribute": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"value": {
"type": "string"
}
}
}
}
}
}
````